org.apache.fop.layoutmgr

## Class WhitespaceManagementPenalty.Variant

- java.lang.Object
- - org.apache.fop.layoutmgr.WhitespaceManagementPenalty.Variant

- Enclosing class:
    WhitespaceManagementPenalty

      public class WhitespaceManagementPenalty.Variant
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ListElement>` | `knuthList`
    `int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Variant(java.util.List<ListElement> knuthList, int width)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KnuthElement` | `getPenalty()`
    `WhitespaceManagementPenalty` | `getWhitespaceManagementPenalty()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### knuthList

          public final java.util.List<ListElement> knuthList

    - #### width

          public final int width

  - ### Constructor Detail

    - #### Variant

          public Variant(java.util.List<ListElement> knuthList,
                         int width)

  - ### Method Detail

    - #### getPenalty

          public KnuthElement getPenalty()

    - #### getWhitespaceManagementPenalty

          public WhitespaceManagementPenalty getWhitespaceManagementPenalty()

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.